# 交换机

### 一、 组建局域网的主要设备

##### 1、 交换机

- 作用：
  - 用 于将多台计算机/交换机连接到一起，组建网络。
  - 连接电脑组建局域网（组建局域网的主要设备）
- 类型：限制、隔离、ALC

##### 2、 eNSP

1. 交换机、路由器、防火墙、WIFI、电脑

   > 设置显示与隐藏标签：菜单 - 工具 - 选项 - 显示设备标签/显示设备型号
   >
   > 设置显示与隐藏标签：菜单 - 工具 - 选项 - 总显示接口标签
   >
   > 通过文本工具添加标签，右击文本文字可调整大小、字体、背景颜色

##### 3、 拓扑文件保存

##### 4、 配置视图

1. 连接物理设备
   - 使用console线一端连接交换机console口，另一端连接计算机USB或com、Putty、SecureCRT、Xshell等终端程序进入设备的配置界面。

2. 视图
   - 用户视图：<Hwuwei>
   - 系统视图：[Hwuwei]
     - 命令：system-view（简写：sy）
     - 作用：配置设备的系统参数
   - quite：退回到上一个视图（逐级退回）
   - return（ctrl+z）：直接退回到用户视图
3. 接口视图
   - 命令：interface GigabitEtherent 0/0/1（简写：int g0/0/1）
4. 协议视图
5. 操作技巧
   - ？可以查看help
     - 查命令的全拼：sys?
     - 查后面能跟什么命令：interface ?
   - Tab自动补全，但需前置键入的检索结果唯一
   - 命令简写：sy、int g0/0/1
   - 不区分大小写

##### 5、 交换机的基本配置命令

1. <Huawei>display version：查看版本信息

2. <Huawei>display current-configuration：查看华为网络设备的当前配置

   - 回车翻行，空格翻页

3. display this：查看当前视图的配置

   > [Huawei]display this
   >
   > [Huawei-GigabitEthernet0/0/1]display this

4. sysname：更改设备名称（需要在用户视图save保存）

   > [Huawei]sysname SW1       ##修改设备名为SW1
   >
   > [SW1]display this                 ##查看当前视图有效配置

5. <Huawei>reboot：重启

6. [Huawei-GigabitEthernet0/0/3]shutdown：关闭端口（禁用端口）

   [Huawei-GigabitEthernet0/0/3]undo shutdown：启用端口

7. 设置交换机密码

   > [Huawei]user-interface console 0
   >
   > [Huawei-ui-console0]authentication-mode password ##启用密码验证
   >
   > [Huawei-ui-console0]set authentication password cipher 123456 ##设置加密密码
   >
   > [Huawei-ui-console0]set authentication password simple 123456 ##设置明文密码
   >
   > [Huawei-ui-console0]undo set authentication password ##关闭密码验证
   
   eg. 加密密码
   
   ```
   <Huawei>sy
   [Huawei]user-interface console 0
   [Huawei-ui-console0]user-interface console 0
   [Huawei-ui-console0]authentication-mode password
   [Huawei-ui-console0]set authentication password cipher 123456
   [Huawei-ui-console0]display this
   #
   user-interface con 0
    authentication-mode password
    set authentication password cipher 8s~f3m^nI@EBi%T]n/.IF3G#
   user-interface vty 0 4
   #
   ```
   
   eg. 明文密码
   
   ```
   <Huawei>sy
   [Huawei]user-interface console 0
   [Huawei-ui-console0]user-interface console 0
   [Huawei-ui-console0]authentication-mode password
   [Huawei-ui-console0]set authentication password simple 123456
   [Huawei-ui-console0]display this
   #
   user-interface con 0
    authentication-mode password
    set authentication password simple 123456
   user-interface vty 0 4
   #
   ```
   
   
